BoundaryRepresentation怎么获取边界
ObjectId[] ids = new ObjectId[] { solid.ObjectId };SubentityId subentId = new SubentityId();
FullSubentityPath path = new FullSubentityPath(ids, subentId);
List<SubentityId> edgePath = new List<SubentityId>();
using (Brep brep = new Brep(path))
{
foreach (Edge edge in brep.Edges)
{
edgePath.Add(edge.SubentityPath.SubentId);
}
}
for (int i = 1; i < edgePath.Count; i++)
{
Autodesk.AutoCAD.Colors.Color col = Autodesk.AutoCAD.Colors.Color.FromColorIndex(Autodesk.AutoCAD.Colors.ColorMethod.ByColor, (short)i);
solid.SetSubentityColor(edgePath, col);
}
根据教程上的,倒是能给边界改颜色了,怎么能获取边界的类型,是直线还是曲线,然后创建实体呢?
本帖最后由 taocitc 于 2016-7-29 23:06 编辑
好像可以了,用CopyEdge就行
页:
[1]